J0(3)

NAME
j0, j0f, j1, j1f, jn, jnf, y0, y0f, y1, y1f, yn, ynf - Bessel functions of first and second kind

SYNOPSIS
#include <math.h>
double
j0(double x);
float
j0f(float x);
double
j1(double x);
float
j1f(float x);
double
jn(int n, double x);
float
jnf(int n, float x);
double
y0(double x);
float
y0f(float x);
double
y1(double x);
float
y1f(float x);
double
yn(int n, double x);
float
ynf(int n, float x);

DESCRIPTION
The functions j0() and j1() compute the Bessel function of the first kind of the order 0 and the order 1, respectively, for the real value x; the function jn() computes the Bessel function of the first kind of the integer order n for the real value x. The functions j0f(), j1f(), and jnf() are single precision versions of j0(), j1(), and jn(), respectively.

The functions y0() and y1() compute the linearly independent Bessel function of the second kind of the order 0 and the order 1, respectively, for the positive integer value x (expressed as a double); the function yn() computes the Bessel function of the second kind for the integer order n for the positive integer value x (expressed as a double). The functions y0f(), y1f(), and ynf() are single precision versions of y0(), y1(), and yn(), respectively.

RETURN VALUES
If these functions are successful, the computed value is returned, otherwise the global variable errno is set to EDOM or ERANGE.

HISTORY
The functions j0(), j1(), jn(), y0(), y1(), and yn() first appeared in AT&T UNIX.